package interactivefeaturelocator.model;

import java.util.ArrayList;
import java.util.HashSet;

import org.eclipse.jdt.core.IMethod;
import org.ntlab.trace.MethodExecution;

public class DerivationResults {
	
	HashSet<String> methodSignatures = new HashSet<>();
	
	public ArrayList<DerivationSession> getCreatedSessions() {
		return null;
	}

	public ArrayList<DerivationSession> getCompletedSessions() {
		return null;
	}

	public ArrayList<DerivationSession> getModifiedSessions() {
		return null;
	}
	
	public HashSet<String> getMethodSignatures() {
		return this.methodSignatures;
	}
		
	public void addMethodSignatures(HashSet<String> methodSignatures) {
		this.methodSignatures.addAll(methodSignatures);
	}
	
	public void addMethodSignature(String methodSignature) {
		if (methodSignature != null) {
			this.methodSignatures.add(methodSignature);
		}
	}
}
